org.jbpm.process.instance.impl.util

## Class ComparablePeriodSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<org.kie.dmn.feel.lang.types.impl.ComparablePeriod>
    - - org.jbpm.process.instance.impl.util.ComparablePeriodSerializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.jsonschema.SchemaAware, Serializable

      public class ComparablePeriodSerializer
      extends com.fasterxml.jackson.databind.ser.std.StdSerializer<org.kie.dmn.feel.lang.types.impl.ComparablePeriod>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComparablePeriodSerializer()`
    `ComparablePeriodSerializer(Class<org.kie.dmn.feel.lang.types.impl.ComparablePeriod> t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(org.kie.dmn.feel.lang.types.impl.ComparablePeriod v, com.fasterxml.jackson.core.JsonGenerator g, com.fasterxml.jackson.databind.SerializerProvider sp)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_neitherNull, _nonEmpty, acceptJsonFormatVisitor, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComparablePeriodSerializer

          public ComparablePeriodSerializer()

    - #### ComparablePeriodSerializer

          public ComparablePeriodSerializer(Class<org.kie.dmn.feel.lang.types.impl.ComparablePeriod> t)

  - ### Method Detail

    - #### serialize

          public void serialize(org.kie.dmn.feel.lang.types.impl.ComparablePeriod v,
                                com.fasterxml.jackson.core.JsonGenerator g,
                                com.fasterxml.jackson.databind.SerializerProvider sp)
                         throws IOException

      Specified by:
        `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<org.kie.dmn.feel.lang.types.impl.ComparablePeriod>`
      Throws:
        `IOException`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.